searchNodes=[{"ref":"Changix.html","title":"Changix","type":"module","doc":"Compile-time changelog features from static changelog files. Including the module will provide with following functions: changelog_entries/0, which return all changelog entries ordered by desc date changelog_entry/1, which takes a date and returns a single entry include Changix can take following options: path: changelog folder. Defaults to &quot;/changelog&quot; renderer: function that takes 2 parameters(markdown, changelog_path) and should return {:ok, html} or {:error, reason}. Defaults to Earmark implementation. read_more_class: css class used to render the read more link. Defaults to read_more. read_more_label: label used to used to render the read more link. Defaults to &quot;Read more&quot;."},{"ref":"Changix.Entries.html","title":"Changix.Entries","type":"module","doc":"Changix.Entries is dedicated to changelog retrieval and YAML header parsing."},{"ref":"Changix.Entries.html#render_changelogs/2","title":"Changix.Entries.render_changelogs/2","type":"function","doc":"Given a changelog folder path, retrieves a list of changelog entries, parses their YAML header and returns them as Changix.Entry"},{"ref":"Changix.Entry.html","title":"Changix.Entry","type":"module","doc":"Struct for a single changelog entry (ie. a single changelog file)."},{"ref":"Changix.Entry.html#required_headers/0","title":"Changix.Entry.required_headers/0","type":"function","doc":"Returns a list of required header fields."},{"ref":"Changix.HTML.html","title":"Changix.HTML","type":"module","doc":"Changix.HTML provides a render_content/2 function to tranform Changix.Entry content into HTML."},{"ref":"Changix.HTML.html#render_content/2","title":"Changix.HTML.render_content/2","type":"function","doc":"Renders a Changix.Entry content into HTML. Takes following options : summary: if true, only renders content above &lt;!--more--&gt; markup read_more_class: css class given to the read_more link. Defaults to read-more read_more_label: label of the read_more link. Defaults to Read more renderer: function that takes markdown and changelog path and should return {:ok, safe_html} or {:error, reason}. Defaults to Earmark, if available."},{"ref":"Changix.Parser.html","title":"Changix.Parser","type":"module","doc":"Parses a single changelog file to build an Changix.Entry."},{"ref":"Changix.Parser.html#parse_entry/2","title":"Changix.Parser.parse_entry/2","type":"function","doc":"Parses a markdown entry with YAML front matter header. Returns {:ok, %Changix.Entry{}} or {:error, reason}."},{"ref":"Mix.Tasks.Changix.Gen.Changelog.html","title":"Mix.Tasks.Changix.Gen.Changelog","type":"task","doc":"Generates a new changelog entry. Command line options: --folder or -f. Optional, defaults to /changelog. --kind or -k. Optional, defaults to nil. title. Mandatory. Examples: mix changix.gen.changelog My new feature mix changix.gen.changelog --folder /priv/changelog --kind bugfix Fixed login mix changix.gen.changelog -f /priv/changelog -k bugfix Fixed login"},{"ref":"Mix.Tasks.Changix.Gen.Changelog.html#run/1","title":"Mix.Tasks.Changix.Gen.Changelog.run/1","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."},{"ref":"readme.html","title":"Changix","type":"extras","doc":"Changix Small &amp; simple Elixir library that gives you changelog features based on markdown files. It leverages on Elixir metaprogramming features, so that everything is done at compile time, with following benefits: fast: no filesystem access or Markdown parsing at runtime. HTML is directly embedded in your compiled code. reliable: any error in your changelog files will be reported at compile time Changix does not provide any UI widget, but you will be in good direction to write one into your Phoenix app. A demo webapp with source_code will be released very soon! Changix come with no runtime dependency, and can be used with any Markdown parser. A default behavior is implemented if earmark markdown library is present."},{"ref":"readme.html#installation","title":"Changix - Installation","type":"extras","doc":"Add changix to your list of dependencies in mix.exs: def deps do [ {:changix, &quot;~&gt; 0.2.0&quot;} ] end If you don&#39;t use any Markdown library, I recommand you also add earmark to your dependencies."},{"ref":"readme.html#usage","title":"Changix - Usage","type":"extras","doc":"Create a changelog folder at the root of your project and write separate changelog files after each of your release. A changelog file must contain a YAML Front Matter header with changed_at and kind attributes. title is optional. Run mix changix.gen.changelog Fixed Lorem --kind bugfix to generate a new changelog entry such as: changed_at: 2019-11-10T17:10:05 kind: bugfix title: Fixed Lorem --- ## Your change summary in whatever Markdown you want Lorem _ipsum dolor_ sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. &lt;!--more--&gt; ## Further details in the read-more section Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Then including Changix will give you access to all your changelog entries. defmodule MyModule do include Changix def list_entries do for entry &lt;- changelog_entries() do IO.inspect(entry) end end def show_entry(entry_changed_at) do entry_changed_at |&gt; changelog_entry() |&gt; IO.inspect end end"},{"ref":"readme.html#documentation","title":"Changix - Documentation","type":"extras","doc":"Docs can be found at https://hexdocs.pm/changix."}]